/* ========================================
 *  Flutter - Flutter.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Flutter_Flutter_H
#define __Flutter_Flutter_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Flutter {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class Flutter final : public SfxCoreExtensionV1
{
public:
    Flutter();
    ~Flutter();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double dL[1002];
	double dR[1002];
	int gcount;		
	double rateof;
	double sweep;
	double nextmax;
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
